> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read extraction audit and undo eligibility



## OpenAPI

````yaml /openapi/customer-api.json get /project/{projectId}/branch/{branchId}/extractions/{extractionId}
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /project/{projectId}/branch/{branchId}/extractions/{extractionId}:
    get:
      tags:
        - Branches
      summary: Read extraction audit and undo eligibility
      operationId: BranchExtractionMutationController_findOne
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: branchId
          required: true
          schema:
            type: string
        - in: path
          name: extractionId
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BranchExtractionResponseDto'
          description: ''
        '404':
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    BranchExtractionResponseDto:
      properties:
        created_at:
          format: date-time
          type: string
        destination:
          $ref: '#/components/schemas/BranchExtractionBranchDto'
        diff_count:
          type: number
        entity_count:
          type: number
        id:
          format: uuid
          type: string
        reverted_at:
          format: date-time
          nullable: true
          type: string
        source:
          $ref: '#/components/schemas/BranchExtractionBranchDto'
        status:
          enum:
            - completed
            - reverted
          type: string
        undo:
          $ref: '#/components/schemas/BranchExtractionUndoEligibilityDto'
      required:
        - id
        - status
        - source
        - destination
        - entity_count
        - diff_count
        - created_at
        - reverted_at
        - undo
      type: object
    BranchExtractionBranchDto:
      properties:
        id:
          format: uuid
          type: string
        name:
          type: string
        parent_id:
          format: uuid
          nullable: true
          type: string
        parent_seq_id:
          description: Bigint-safe fork sequence.
          type: string
      required:
        - id
        - name
        - parent_id
        - parent_seq_id
      type: object
    BranchExtractionUndoEligibilityDto:
      properties:
        eligible:
          type: boolean
        reason:
          nullable: true
          type: string
      required:
        - eligible
        - reason
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````